diff --git a/dirsrvtests/tests/suites/paged_results/paged_results_test.py b/dirsrvtests/tests/suites/paged_results/paged_results_test.py
index 273d2eb..0725168 100644
--- a/dirsrvtests/tests/suites/paged_results/paged_results_test.py
+++ b/dirsrvtests/tests/suites/paged_results/paged_results_test.py
@@ -1270,43 +1237,43 @@ def test_maxsimplepaged_per_conn_failure(topology, test_user, conf_attr_value):
     :Assert: During the searches UNWILLING_TO_PERFORM should be throwned
     """
 
-    users_list = add_users(topology, 20, DEFAULT_SUFFIX)
+    users_list = add_users(topology_st, 20, DEFAULT_SUFFIX)
     search_flt = r'(uid=test*)'
     searchreq_attrlist = ['dn', 'sn']
     page_size = 4
-    max_per_con_bck = change_conf_attr(topology, DN_CONFIG,
+    max_per_con_bck = change_conf_attr(topology_st, DN_CONFIG,
                                        'nsslapd-maxsimplepaged-per-conn',
                                        conf_attr_value)
 
     try:
         log.info('Set user bind')
-        topology.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
+        topology_st.standalone.simple_bind_s(TEST_USER_DN, TEST_USER_PWD)
 
         log.info('Create simple paged results control instance')
         req_ctrl = SimplePagedResultsControl(True, size=page_size, cookie='')
 
         with pytest.raises(ldap.UNWILLING_TO_PERFORM):
-            msgid = topology.standalone.search_ext(DEFAULT_SUFFIX,
-                                                ldap.SCOPE_SUBTREE,
-                                                search_flt,
-                                                searchreq_attrlist,
-                                                serverctrls=[req_ctrl])
-            rtype, rdata, rmsgid, rctrls = topology.standalone.result3(msgid)
+            msgid = topology_st.standalone.search_ext(DEFAULT_SUFFIX,
+                                                      ldap.SCOPE_SUBTREE,
+                                                      search_flt,
+                                                      searchreq_attrlist,
+                                                      serverctrls=[req_ctrl])
+            rtype, rdata, rmsgid, rctrls = topology_st.standalone.result3(msgid)
 
             # If nsslapd-maxsimplepaged-per-conn = 1,
             # it should pass this point, but failed on the next search
             assert conf_attr_value == '1'
-            msgid = topology.standalone.search_ext(DEFAULT_SUFFIX,
-                                                ldap.SCOPE_SUBTREE,
-                                                search_flt,
-                                                searchreq_attrlist,
-                                                serverctrls=[req_ctrl])
-            rtype, rdata, rmsgid, rctrls = topology.standalone.result3(msgid)
+            msgid = topology_st.standalone.search_ext(DEFAULT_SUFFIX,
+                                                      ldap.SCOPE_SUBTREE,
+                                                      search_flt,
+                                                      searchreq_attrlist,
+                                                      serverctrls=[req_ctrl])
+            rtype, rdata, rmsgid, rctrls = topology_st.standalone.result3(msgid)
     finally:
         log.info('Remove added users')
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
-        del_users(topology, users_list)
-        change_conf_attr(topology, DN_CONFIG,
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
+        del_users(topology_st, users_list)
+        change_conf_attr(topology_st, DN_CONFIG,
                          'nsslapd-maxsimplepaged-per-conn', max_per_con_bck)
 
 
diff --git a/dirsrvtests/tests/suites/password/password_test.py b/dirsrvtests/tests/suites/password/password_test.py
index 3781492..28dfc0f 100644
--- a/dirsrvtests/tests/suites/password/password_test.py
+++ b/dirsrvtests/tests/suites/password/password_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -21,54 +21,11 @@ from lib389.tasks import *
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
 
-installation1_prefix = None
 
-
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    global installation1_prefix
-    if installation1_prefix:
-        args_instance[SER_DEPLOYED_DIR] = installation1_prefix
-
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
-
-def test_password_init(topology):
-    '''
-    Do init, if necessary
-    '''
-
-    return
-
-
-def test_password_delete_specific_password(topology):
-    '''
-    Delete a specific userpassword, and make sure it is actually deleted from the entry
-    '''
+def test_password_delete_specific_password(topology_st):
+    """ Delete a specific userpassword, and make sure
+    it is actually deleted from the entry
+    """
 
     log.info('Running test_password_delete_specific_password...')
 
@@ -78,11 +35,11 @@ def test_password_delete_specific_password(topology):
     # Add a test user with a password
     #
     try:
-        topology.standalone.add_s(Entry((USER_DN, {'objectclass': "top extensibleObject".split(),
-                                 'sn': '1',
-                                 'cn': 'user 1',
-                                 'uid': 'user1',
-                                 'userpassword': PASSWORD})))
+        topology_st.standalone.add_s(Entry((USER_DN, {'objectclass': "top extensibleObject".split(),
+                                                      'sn': '1',
+                                                      'cn': 'user 1',
+                                                      'uid': 'user1',
+                                                      'userpassword': PASSWORD})))
     except ldap.LDAPError as e:
         log.fatal('test_password_delete_specific_password: Failed to add test user ' +
                   USER_DN + ': error ' + e.message['desc'])
@@ -92,7 +49,7 @@ def test_password_delete_specific_password(topology):
     # Delete the exact password
     #
     try:
-        topology.standalone.modify_s(USER_DN, [(ldap.MOD_DELETE, 'userpassword', PASSWORD)])
+        topology_st.standalone.modify_s(USER_DN, [(ldap.MOD_DELETE, 'userpassword', PASSWORD)])
     except ldap.LDAPError as e:
         log.fatal('test_password_delete_specific_password: Failed to delete userpassword: error ' +
                   e.message['desc'])
@@ -102,7 +59,7 @@ def test_password_delete_specific_password(topology):
     # Check the password is actually deleted
     #
     try:
-        entry = topology.standalone.search_s(USER_DN, ldap.SCOPE_BASE, 'objectclass=top')
+        entry = topology_st.standalone.search_s(USER_DN, ldap.SCOPE_BASE, 'objectclass=top')
         if entry[0].hasAttr('userpassword'):
             log.fatal('test_password_delete_specific_password: Entry incorrectly still have the userpassword attribute')
             assert False
@@ -115,7 +72,7 @@ def test_password_delete_specific_password(topology):
     # Cleanup
     #
     try:
-        topology.standalone.delete_s(USER_DN)
+        topology_st.standalone.delete_s(USER_DN)
     except ldap.LDAPError as e:
         log.fatal('test_password_delete_specific_password: Failed to delete user(%s), error: %s' %
                   (USER_DN, e.message('desc')))
diff --git a/dirsrvtests/tests/suites/password/pwdAdmin_test.py b/dirsrvtests/tests/suites/password/pwdAdmin_test.py
index dc8fdab..b537800 100644
--- a/dirsrvtests/tests/suites/password/pwdAdmin_test.py
+++ b/dirsrvtests/tests/suites/password/pwdAdmin_test.py
@@ -1,5 +1,5 @@
 # --- BEGIN COPYRIGHT BLOCK ---
-# Copyright (C) 2015 Red Hat, Inc.
+# Copyright (C) 2016 Red Hat, Inc.
 # All rights reserved.
 #
 # License: GPL (version 3 or any later version).
@@ -22,7 +22,6 @@ from lib389.utils import *
 logging.getLogger(__name__).setLevel(logging.DEBUG)
 log = logging.getLogger(__name__)
 
-installation1_prefix = None
 CONFIG_DN = 'cn=config'
 ADMIN_NAME = 'passwd_admin'
 ADMIN_DN = 'cn=%s,%s' % (ADMIN_NAME, SUFFIX)
@@ -35,40 +34,7 @@ ENTRY_DN = 'cn=%s,%s' % (ENTRY_NAME, SUFFIX)
 INVALID_PWDS = ('2_Short', 'No_Number', 'N0Special', '{SSHA}bBy8UdtPZwu8uZna9QOYG3Pr41RpIRVDl8wddw==')
 
 
-class TopologyStandalone(object):
-    def __init__(self, standalone):
-        standalone.open()
-        self.standalone = standalone
-
-
-@pytest.fixture(scope="module")
-def topology(request):
-    global installation1_prefix
-    if installation1_prefix:
-        args_instance[SER_DEPLOYED_DIR] = installation1_prefix
-
-    # Creating standalone instance ...
-    standalone = DirSrv(verbose=False)
-    args_instance[SER_HOST] = HOST_STANDALONE
-    args_instance[SER_PORT] = PORT_STANDALONE
-    args_instance[SER_SERVERID_PROP] = SERVERID_STANDALONE
-    args_instance[SER_CREATION_SUFFIX] = DEFAULT_SUFFIX
-    args_standalone = args_instance.copy()
-    standalone.allocate(args_standalone)
-    instance_standalone = standalone.exists()
-    if instance_standalone:
-        standalone.delete()
-    standalone.create()
-    standalone.open()
-
-    def fin():
-        standalone.delete()
-    request.addfinalizer(fin)
-
-    return TopologyStandalone(standalone)
-
-
-def test_pwdAdmin_init(topology):
+def test_pwdAdmin_init(topology_st):
     '''
     Create our future Password Admin entry, set the password policy, and test
     that its working
@@ -78,28 +44,28 @@ def test_pwdAdmin_init(topology):
 
     # Add Password Admin 1
     try:
-        topology.standalone.add_s(Entry((ADMIN_DN, {'objectclass': "top extensibleObject".split(),
-                                 'cn': ADMIN_NAME,
-                                 'userpassword': ADMIN_PWD})))
+        topology_st.standalone.add_s(Entry((ADMIN_DN, {'objectclass': "top extensibleObject".split(),
+                                                       'cn': ADMIN_NAME,
+                                                       'userpassword': ADMIN_PWD})))
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin_init: Failed to add test user' + ADMIN_DN + ': error ' + e.message['desc'])
         assert False
 
     # Add Password Admin 2
     try:
-        topology.standalone.add_s(Entry((ADMIN2_DN, {'objectclass': "top extensibleObject".split(),
-                                      'cn': ADMIN2_NAME,
-                                      'userpassword': ADMIN_PWD})))
+        topology_st.standalone.add_s(Entry((ADMIN2_DN, {'objectclass': "top extensibleObject".split(),
+                                                        'cn': ADMIN2_NAME,
+                                                        'userpassword': ADMIN_PWD})))
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin_init: Failed to add test user ' + ADMIN2_DN + ': error ' + e.message['desc'])
         assert False
 
     # Add Password Admin Group
     try:
-        topology.standalone.add_s(Entry((ADMIN_GROUP_DN, {'objectclass': "top groupOfUNiqueNames".split(),
-                                      'cn': 'password admin group',
-                                      'uniquemember': ADMIN_DN,
-                                      'uniquemember': ADMIN2_DN})))
+        topology_st.standalone.add_s(Entry((ADMIN_GROUP_DN, {'objectclass': "top groupOfUNiqueNames".split(),
+                                                             'cn': 'password admin group',
+                                                             'uniquemember': ADMIN_DN,
+                                                             'uniquemember': ADMIN2_DN})))
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin_init:  Failed to add group' + ADMIN_GROUP_DN + ': error ' + e.message['desc'])
         assert False
@@ -107,13 +73,13 @@ def test_pwdAdmin_init(topology):
     # Configure password policy
     log.info('test_pwdAdmin_init: Configuring password policy...')
     try:
-        topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-pwpolicy-local', 'on'),
-                                                 (ldap.MOD_REPLACE, 'passwordCheckSyntax', 'on'),
-                                                 (ldap.MOD_REPLACE, 'passwordMinCategories', '1'),
-                                                 (ldap.MOD_REPLACE, 'passwordMinTokenLength', '1'),
-                                                 (ldap.MOD_REPLACE, 'passwordExp', 'on'),
-                                                 (ldap.MOD_REPLACE, 'passwordMinDigits', '1'),
-                                                 (ldap.MOD_REPLACE, 'passwordMinSpecials', '1')])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'nsslapd-pwpolicy-local', 'on'),
+                                                    (ldap.MOD_REPLACE, 'passwordCheckSyntax', 'on'),
+                                                    (ldap.MOD_REPLACE, 'passwordMinCategories', '1'),
+                                                    (ldap.MOD_REPLACE, 'passwordMinTokenLength', '1'),
+                                                    (ldap.MOD_REPLACE, 'passwordExp', 'on'),
+                                                    (ldap.MOD_REPLACE, 'passwordMinDigits', '1'),
+                                                    (ldap.MOD_REPLACE, 'passwordMinSpecials', '1')])
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin_init: Failed configure password policy: ' +
                   e.message['desc'])
@@ -124,14 +90,14 @@ def test_pwdAdmin_init(topology):
     #
     log.info('Add aci to allow password admin to add/update entries...')
 
-    ACI_TARGET       = "(target = \"ldap:///%s\")" % SUFFIX
-    ACI_TARGETATTR   = "(targetattr = *)"
-    ACI_ALLOW        = "(version 3.0; acl \"Password Admin Access\"; allow (all) "
-    ACI_SUBJECT      = "(userdn = \"ldap:///anyone\");)"
-    ACI_BODY         = ACI_TARGET + ACI_TARGETATTR + ACI_ALLOW + ACI_SUBJECT
+    ACI_TARGET = "(target = \"ldap:///%s\")" % SUFFIX
+    ACI_TARGETATTR = "(targetattr = *)"
+    ACI_ALLOW = "(version 3.0; acl \"Password Admin Access\"; allow (all) "
+    ACI_SUBJECT = "(userdn = \"ldap:///anyone\");)"
+    ACI_BODY = ACI_TARGET + ACI_TARGETATTR + ACI_ALLOW + ACI_SUBJECT
     mod = [(ldap.MOD_ADD, 'aci', ACI_BODY)]
     try:
-        topology.standalone.modify_s(SUFFIX, mod)
+        topology_st.standalone.modify_s(SUFFIX, mod)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin_init: Failed to add aci for password admin: ' +
                   e.message['desc'])
@@ -142,10 +108,10 @@ def test_pwdAdmin_init(topology):
     #
     log.info('test_pwdAdmin_init: Bind as the Password Administator (before activating)...')
     try:
-        topology.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
+        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin_init: Failed to bind as the Password Admin: ' +
-                                      e.message['desc'])
+                  e.message['desc'])
         assert False
 
     #
@@ -166,12 +132,12 @@ def test_pwdAdmin_init(topology):
         log.info('test_pwdAdmin_init: Create a regular user entry %s with password (%s)...' %
                  (ENTRY_DN, passwd))
         try:
-            topology.standalone.add_s(entry)
+            topology_st.standalone.add_s(entry)
         except ldap.LDAPError as e:
             # We failed as expected
             failed_as_expected = True
             log.info('test_pwdAdmin_init: Add failed as expected: password (%s) result (%s)'
-                    % (passwd, e.message['desc']))
+                     % (passwd, e.message['desc']))
 
         if not failed_as_expected:
             log.fatal('test_pwdAdmin_init: We were incorrectly able to add an entry ' +
@@ -179,7 +145,7 @@ def test_pwdAdmin_init(topology):
             assert False
 
 
-def test_pwdAdmin(topology):
+def test_pwdAdmin(topology_st):
     '''
         Test that password administrators/root DN can
         bypass password syntax/policy.
@@ -209,7 +175,7 @@ def test_pwdAdmin(topology):
 
     # Bind as Root DN
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Root DN failed to authenticate: ' +
                   e.message['desc'])
@@ -217,7 +183,7 @@ def test_pwdAdmin(topology):
 
     # Set the password admin
     try:
-        topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_DN)])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_DN)])
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to add password admin to config: ' +
                   e.message['desc'])
@@ -225,7 +191,7 @@ def test_pwdAdmin(topology):
 
     # Bind as Password Admin
     try:
-        topology.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
+        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to bind as the Password Admin: ' +
                   e.message['desc'])
@@ -239,7 +205,7 @@ def test_pwdAdmin(topology):
         log.info('test_pwdAdmin: Create a regular user entry %s with password (%s)...' %
                  (ENTRY_DN, passwd))
         try:
-            topology.standalone.add_s(entry)
+            topology_st.standalone.add_s(entry)
         except ldap.LDAPError as e:
             log.fatal('test_pwdAdmin: Failed to add entry with password (%s) result (%s)'
                       % (passwd, e.message['desc']))
@@ -249,7 +215,7 @@ def test_pwdAdmin(topology):
 
         # Delete entry for the next pass
         try:
-            topology.standalone.delete_s(ENTRY_DN)
+            topology_st.standalone.delete_s(ENTRY_DN)
         except ldap.LDAPError as e:
             log.fatal('test_pwdAdmin: Failed to delete entry: %s' %
                       (e.message['desc']))
@@ -260,7 +226,7 @@ def test_pwdAdmin(topology):
     #
     entry.setValues('userpassword', ADMIN_PWD)
     try:
-        topology.standalone.add_s(entry)
+        topology_st.standalone.add_s(entry)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to add entry with valid password (%s) result (%s)' %
                   (passwd, e.message['desc']))
@@ -274,7 +240,7 @@ def test_pwdAdmin(topology):
 
     # Bind as root DN
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Root DN failed to authenticate: ' +
                   e.message['desc'])
@@ -282,7 +248,7 @@ def test_pwdAdmin(topology):
 
     # Remove password admin
     try:
-        topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_DELETE, 'passwordAdminDN', None)])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_DELETE, 'passwordAdminDN', None)])
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to remove password admin from config: ' +
                   e.message['desc'])
@@ -290,7 +256,7 @@ def test_pwdAdmin(topology):
 
     # Bind as Password Admin (who is no longer an admin)
     try:
-        topology.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
+        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to bind as the Password Admin: ' +
                   e.message['desc'])
@@ -303,7 +269,7 @@ def test_pwdAdmin(topology):
         failed_as_expected = False
         entry.setValues('userpassword', passwd)
         try:
-            topology.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
+            topology_st.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
         except ldap.LDAPError as e:
             # We failed as expected
             failed_as_expected = True
@@ -322,14 +288,14 @@ def test_pwdAdmin(topology):
 
     # Bind as root DN to make the update
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Root DN failed to authenticate: ' + e.message['desc'])
         assert False
 
     # Update config - set the password admin
     try:
-        topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_DN)])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_DN)])
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to add password admin to config: ' +
                   e.message['desc'])
@@ -337,7 +303,7 @@ def test_pwdAdmin(topology):
 
     # Bind as Password Admin
     try:
-        topology.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
+        topology_st.standalone.simple_bind_s(ADMIN_DN, ADMIN_PWD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to bind as the Password Admin: ' +
                   e.message['desc'])
@@ -348,10 +314,10 @@ def test_pwdAdmin(topology):
     #
     for passwd in INVALID_PWDS:
         try:
-            topology.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
+            topology_st.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
         except ldap.LDAPError as e:
             log.fatal('test_pwdAdmin: Password update failed unexpectedly: password (%s) result (%s)'
-                    % (passwd, e.message['desc']))
+                      % (passwd, e.message['desc']))
             assert False
         log.info('test_pwdAdmin: Password update succeeded (%s)' % passwd)
 
@@ -362,14 +328,14 @@ def test_pwdAdmin(topology):
 
     # Bind as root DN to make the update
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Root DN failed to authenticate: ' + e.message['desc'])
         assert False
 
     # Update config - set the password admin group
     try:
-        topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_GROUP_DN)])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_REPLACE, 'passwordAdminDN', ADMIN_GROUP_DN)])
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to add password admin to config: ' +
                   e.message['desc'])
@@ -377,7 +343,7 @@ def test_pwdAdmin(topology):
 
     # Bind as admin2
     try:
-        topology.standalone.simple_bind_s(ADMIN2_DN, ADMIN_PWD)
+        topology_st.standalone.simple_bind_s(ADMIN2_DN, ADMIN_PWD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Failed to bind as the Password Admin2: ' +
                   e.message['desc'])
@@ -386,22 +352,22 @@ def test_pwdAdmin(topology):
     # Make some invalid password updates, but they should succeed
     for passwd in INVALID_PWDS:
         try:
-            topology.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
+            topology_st.standalone.modify_s(ENTRY_DN, [(ldap.MOD_REPLACE, 'userpassword', passwd)])
         except ldap.LDAPError as e:
             log.fatal('test_pwdAdmin: Password update failed unexpectedly: password (%s) result (%s)'
-                    % (passwd, e.message['desc']))
+                      % (passwd, e.message['desc']))
             assert False
         log.info('test_pwdAdmin: Password update succeeded (%s)' % passwd)
 
     # Cleanup - bind as Root DN for the other tests
     try:
-        topology.standalone.simple_bind_s(DN_DM, PASSWORD)
+        topology_st.standalone.simple_bind_s(DN_DM, PASSWORD)
     except ldap.LDAPError as e:
         log.fatal('test_pwdAdmin: Root DN failed to authenticate: ' + e.message['desc'])
         assert False
 
 
-def test_pwdAdmin_config_validation(topology):
+def test_pwdAdmin_config_validation(topology_st):
     '''
     Test config validation:
 
@@ -410,7 +376,7 @@ def test_pwdAdmin_config_validation(topology):
     '''
     # Add mulitple attributes - one already eists so just try and add as second one
     try:
-        topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_ADD, 'passwordAdminDN', ENTRY_DN)])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_ADD, 'passwordAdminDN', ENTRY_DN)])
         log.fatal('test_pwdAdmin_config_validation: Incorrectly was able to add two config attributes')
         assert False
     except ldap.LDAPError as e:
@@ -419,7 +385,7 @@ def test_pwdAdmin_config_validation(topology):
 
     # Attempt to set invalid DN
     try:
-        topology.standalone.modify_s(CONFIG_DN, [(ldap.MOD_ADD, 'passwordAdminDN', 'ZZZZZ')])
+        topology_st.standalone.modify_s(CONFIG_DN, [(ldap.MOD_ADD, 'passwordAdminDN', 'ZZZZZ')])
         log.fatal('test_pwdAdmin_config_validation: Incorrectly was able to add invalid DN')
         assert False
     except ldap.LDAPError as e:
